sensorfw: ALSAdaptor Class Reference

sensorfw

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ALSAdaptor Class Reference

Adaptor for internal ambient light sensor. More...

`#include <alsadaptor.h>`

Inheritance diagram for ALSAdaptor:

## Public Types
enum | DeviceType { DeviceUnknown = 0 , RM680 , RM696 , NCDK }

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of ALSAdaptor class. More...

## Protected Member Functions
| ALSAdaptor (const QString &id)
| Constructor. More...
| ~ALSAdaptor ()
void | processSample (int pathId, int fd)

## Detailed Description

Adaptor for internal ambient light sensor.

Adaptor for the internal ambient light sensor. Provides the amount of ambient light detected by the device.

Sysfs driver interface can be found at dev/bh1770glc_als .

Value output frequency depends on driver decision - only changed values are pushed out of driver.

Definition at line 59 of file alsadaptor.h.

## Member Enumeration Documentation

## ◆ DeviceType

enum ALSAdaptor::DeviceType

Enumerator
DeviceUnknown |
RM680 |
RM696 |
NCDK |

Definition at line 63 of file alsadaptor.h.

## Constructor & Destructor Documentation

## ◆ ALSAdaptor()

ALSAdaptor::ALSAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~ALSAdaptor()

ALSAdaptor::~ALSAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor* ALSAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of ALSAdaptor class.

Parameters

  id | Identifier for the adaptor.

Returns
  new instance

Definition at line 77 of file alsadaptor.h.

## ◆ processSample()

void ALSAdaptor::processSample | ( | int | pathId,
|  | int | fd
| ) |  |
| protected

## ◆ resume()

virtual bool ALSAdaptor::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool ALSAdaptor::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool ALSAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void ALSAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/alsadaptor/alsadaptor.h